--- asterisk-1.2.24/channels/chan_sip.c.orig	2007-12-05 11:43:22.000000000 +0000
+++ asterisk-1.2.24/channels/chan_sip.c	2007-12-05 11:59:38.000000000 +0000
@@ -3504,6 +3504,7 @@
 static int find_sdp(struct sip_request *req)
 {
 	char *content_type;
+	char *content_length;
 	char *search;
 	char *boundary;
 	unsigned int x;
@@ -3512,6 +3513,12 @@
 
 	/* if the body contains only SDP, this is easy */
 	if (!strcasecmp(content_type, "application/sdp")) {
+
+		content_length = get_header(req, "Content-Length");
+               ast_log(LOG_NOTICE, "CONTENT LENGTH='%s'\n",content_length);
+		if( !strcasecmp(content_length, "0") )
+			return 0; /*no SDP*/ 
+
 		req->sdp_start = 0;
 		req->sdp_end = req->lines;
 		return 1;
